#!/usr/bin/make -f

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)"

override_dh_auto_install-arch:
	$(MAKE) install-binary \
		INSTALLBIN=debian/asylum/usr/games/asylum \

override_dh_auto_install-indep:
	$(MAKE) install-resources \
		INSTALLRESOURCEPATH=debian/asylum-data/usr/share/games/asylum

override_dh_fixperms-arch:
	dh_fixperms
# Make asylum sgid games, needed to write high scores in /var/games/asylum/
	chown root:games debian/asylum/usr/games/asylum
	chmod g+s debian/asylum/usr/games/asylum

